org.jgroups.util

## Interface Streamable

- All Known Subinterfaces:
    Address, PhysicalAddress
  All Known Implementing Classes:
    AdditionalDataUUID, AuthHeader, AuthToken, COMPRESS.CompressHeader, DAISYCHAIN.DaisyHeader, Digest, Digest.Entry, DISCARD.DiscardHeader, DrawCommand, ENCRYPT.EncryptHeader, Executing.ExecutorHeader, Executing.Request, Executions.StreamableCallable, ExecutionService.RunnableAdapter, ExecutionServiceDemo.SortingByteCallable, ExecutionServiceDemo.SortingTwoByteCallable, FcHeader, FD_ALL.HeartbeatHeader, FD_SIMPLE.FdHeader, FD_SOCK.FdHeader, FD.FdHeader, FixedMembershipToken, FLUSH.FlushHeader, FragHeader, GMS.GmsHeader, GossipData, GridFile.Metadata, Header, HTOTAL.HTotalHeader, IpAddress, JoinRsp, Locking.LockingHeader, Locking.Request, MD5Token, MERGE3.CoordAnnouncement, MERGEFAST.MergefastHeader, MergeId, MergeView, Message, MutableDigest, MuxHeader, MuxHeader, NakAckHeader, Owner, PayloadUUID, PingData, PingHeader, PrioHeader, PullPushAdapter.PullHeader, Range, RegexMembership, RELAY.RelayHeader, RELAY.ViewData, RequestCorrelator.Header, RequestCorrelator.MultiDestinationHeader, SCOPE.ScopeHeader, SEQUENCER.SequencerHeader, ServiceInfo, SFC.Header, SimpleToken, SingletonAddress, SMACK.SmackHeader, STABLE.StableHeader, STATE_TRANSFER.StateHeader, STOMP.StompHeader, STREAMING_STATE_TRANSFER.StateHeader, TopologyUUID, TpHeader, UNICAST.UnicastHeader, UNICAST2.Unicast2Header, UUID, VERIFY_SUSPECT.VerifyHeader, View, VIEW_SYNC.ViewSyncHeader, ViewId, X509Token

      public interface Streamable

  Implementations of Streamable can add their state directly to the output stream, enabling them to bypass costly serialization
  Author:
    Bela Ban

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFrom(java.io.DataInputStream in)` Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
    `void` | `writeTo(java.io.DataOutputStream out)` Write the entire state of the current object (including superclasses) to outstream.

- - ### Method Detail

    - #### writeTo

          void writeTo(java.io.DataOutputStream out)
                       throws java.io.IOException

      Write the entire state of the current object (including superclasses) to outstream. Note that the output stream must not be closed
      Throws:
        `java.io.IOException`

    - #### readFrom

          void readFrom(java.io.DataInputStream in)
                        throws java.io.IOException,
                               java.lang.IllegalAccessException,
                               java.lang.InstantiationException

      Read the state of the current object (including superclasses) from instream Note that the input stream must not be closed
      Throws:
        `java.io.IOException`
        `java.lang.IllegalAccessException`
        `java.lang.InstantiationException`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.